<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~
  ~      Copyright (c) 2018-2025, avenue All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: avenue
  ~
  -->

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.emergency</groupId>
		<artifactId>avenue</artifactId>
		<version>4.6.0</version>
	</parent>

	<artifactId>avenue-common</artifactId>
	<packaging>pom</packaging>

	<description>avenue 公共聚合模块</description>

	<modules>
		<module>avenue-common-bom</module>
		<module>avenue-common-core</module>
		<module>avenue-common-data</module>
		<module>avenue-common-datasource</module>
		<module>avenue-common-excel</module>
		<module>avenue-common-encrypt-api</module>
		<module>avenue-common-feign</module>
		<module>avenue-common-gateway</module>
		<module>avenue-common-gray</module>
		<module>avenue-common-idempotent</module>
		<module>avenue-common-job</module>
		<module>avenue-common-log</module>
		<module>avenue-common-oss</module>
		<module>avenue-common-seata</module>
		<module>avenue-common-security</module>
		<module>avenue-common-sentinel</module>
		<module>avenue-common-sequence</module>
		<module>avenue-common-swagger</module>
		<module>avenue-common-websocket</module>
		<module>avenue-common-xss</module>
	</modules>
</project>
